#!/bin/sh
# This script is tested at Fedora 26.1 Server 64bit
# This script should work for Fedora 19-25 and RedHat 7 64bit.
cd /tmp
yum -y install wget
wget https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
yum -y install ./epel-release-latest-7.noarch.rpm
yum -y update
yum -y group install "Development Tools"
dnf -y install gcc-c++
yum -y install zlib-devel
yum -y install bzip2-libs
yum -y install bzip2-devel
yum -y install xz-devel
yum -y install ncurses-devel
yum -y install python-wheel
yum -y install python-setuptools
yum -y install python-pip
yum -y install pigz
yum -y install tbb-devel
yum -y install perl
yum -y install perl-devel
yum -y install perl-CPAN
yum -y install perl-App-cpanminus
yum -y install ruby
#####################################################
pip install --upgrade cutadapt
wget https://github.com/BenLangmead/bowtie2/archive/v2.3.3.1.tar.gz
tar -xvzf v2.3.3.1.tar.gz
cd bowtie2-2.3.3.1
make
make install
cd ..
wget https://github.com/samtools/samtools/releases/download/1.6/samtools-1.6.tar.bz2
tar -xvjf samtools-1.6.tar.bz2
cd samtools-1.6
./configure
make
make install
cd ..
wget https://github.com/lh3/seqtk/archive/master.zip
unzip master.zip
cd seqtk-master
make
cp seqtk /usr/local/bin/
cd ..
wget http://faculty.virginia.edu/wrpearson/fasta/fasta33-35/fasta-35.4.12.tar.gz
tar -xvzf fasta-35.4.12.tar.gz
cd fasta-35.4.12/src
make -f ../make/Makefile.linux64_sse2 all
cp ../bin/ssearch35_t /usr/local/bin/
cd ../..
wget https://mafft.cbrc.jp/alignment/software/mafft-7.313-without-extensions-src.tgz
tar -xvzf mafft-7.313-without-extensions-src.tgz
cd mafft-7.313-without-extensions/core
make
make install
cd ../..
yum -y install perl-Storable
yum -y install perl-IO-String
yum -y install perl-Test
cpanm Test::More
cpanm BioUtil::Seq
cpanm Statistics::Descriptive
cpanm Getopt::Long
cpanm Config::Tiny
cpanm Sys::CpuAffinity
cpanm Bio::SeqIO
cpanm Bio::SearchIO
