#!/bin/sh
# This script is tested under Ubuntu 16.04 LTS 64bit. 
# It works in all Ubuntu 16.04 derivatives: Kubuntu 16.04, Lubuntu 16.04, Xubuntu 16.04, Linux Mint 18.2
# It should work without problems under Debian 9.2 and Astra Linux
cd /tmp
apt-get install --assume-yes build-essential
apt-get install --assume-yes zlib1g-dev
apt-get install --assume-yes libbz2-dev
apt-get install --assume-yes liblzma-dev
apt-get install --assume-yes libncurses5-dev
apt-get install --assume-yes pigz
apt-get install --assume-yes python-dev
apt-get install --assume-yes python-pip
apt-get install --assume-yes cpanminus
apt-get install --assume-yes libtbb-dev
apt-get install --assume-yes ruby-full
pip install --upgrade cutadapt
wget https://github.com/BenLangmead/bowtie2/archive/v2.3.3.1.tar.gz
tar -xvzf v2.3.3.1.tar.gz
cd bowtie2-2.3.3.1
make
make install
cd ..
wget https://github.com/samtools/samtools/releases/download/1.6/samtools-1.6.tar.bz2
tar -xvjf samtools-1.6.tar.bz2
cd samtools-1.6
./configure
make
make install
cd ..
wget https://github.com/lh3/seqtk/archive/master.zip
unzip master.zip
cd seqtk-master
make
cp seqtk /usr/local/bin/
cd ..
wget http://faculty.virginia.edu/wrpearson/fasta/fasta33-35/fasta-35.4.12.tar.gz
tar -xvzf fasta-35.4.12.tar.gz
cd fasta-35.4.12/src
make -f ../make/Makefile.linux64_sse2 all
cp ../bin/ssearch35_t /usr/local/bin/
cd ../..
wget https://mafft.cbrc.jp/alignment/software/mafft-7.313-without-extensions-src.tgz
tar -xvzf mafft-7.313-without-extensions-src.tgz
cd mafft-7.313-without-extensions/core
make
make install
cd ../..
cpanm Bio::SeqIO
cpanm Bio::SearchIO
cpanm BioUtil::Seq
cpanm Statistics::Descriptive
cpanm Getopt::Long
cpanm Config::Tiny
cpanm Sys::CpuAffinity
